;--------------------------------------------------------------------------
;Keys (Change to keyboard config or joy config)
[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "hold_x"
command = /x

[Command]
name = "hold_y"
command = /y

;-| Super Motions |--------------------------------------------------------
[Command]
name = "Triple Tiger Shout"
command = ~D, DF, F, D, DF, F,b+y
time = 30
buffer.time = 5

[Command]
name = "Triple Tiger Shout"
command = ~D, F, D, F,b+y
time = 30
buffer.time = 5

[Command]
name = "Tiger Genocide"
command = ~D, DF, F, D, DF, F, a
time = 30
buffer.time = 5

[Command]
name = "Tiger Genocide"
command = ~D, F, D, F, a
time = 30
buffer.time = 5

[Command]
name = "Tiger Genocide"
command = ~D, DF, F, D, DF, F, b
time = 30
buffer.time = 5

[Command]
name = "Tiger Genocide"
command = ~D, F, D, F, b
time = 30
buffer.time = 5

[Command]
name = "Low Tiger Shout"
command = ~D, DF, F, D, DF, F, x
time = 30
buffer.time = 5

[Command]
name = "Low Tiger Shout"
command = ~D, F, D, F, x
time = 30
buffer.time = 5

[Command]
name = "High Tiger Shout"
command = ~D, DF, F, D, DF, F, y
time = 30
buffer.time = 5

[Command]
name = "High Tiger Shout"
command = ~D, F, D, F, y
time = 30
buffer.time = 5

[Command]
name = "Tiger Assault"
command = ~D, DB, B, D, DB, DB, a
time = 30
buffer.time = 5

[Command]
name = "Tiger Assault"
command = ~D, B, D, B, a
time = 30
buffer.time = 5

[Command]
name = "Tiger Assault"
command = ~D, DB, B, D, DB, B, b
time = 30
buffer.time = 5

[Command]
name = "Tiger Assault"
command = ~D, B, D, B, b
time = 30
buffer.time = 5

;-| Special Motions |------------------------------------------------------
[Command]
name = "Weak High Tiger"
command = ~D, DF, F, x
time = 20
buffer.time = 3

[Command]
name = "Weak High Tiger"
command = ~D, DF, F, ~x
time = 20
buffer.time = 3

[Command]
name = "Strong High Tiger"
command = ~D, DF, F, y
time = 20
buffer.time = 3

[Command]
name = "Strong High Tiger"
command = ~D, DF, F, ~y
time = 20
buffer.time = 3

[Command]
name = "Weak Tiger Uppercut"
command = ~F, D, DF, x
time = 20
buffer.time = 3

[Command]
name = "Weak Tiger Uppercut"
command = ~F, D, DF, ~x
time = 20
buffer.time = 3

[Command]
name = "Strong Tiger Uppercut"
command = ~F, D, DF, y
time = 20
buffer.time = 3

[Command]
name = "Strong Tiger Uppercut"
command = ~F, D, DF, ~y
time = 20
buffer.time = 3

[Command]
name = "Weak Low Tiger"
command = ~D, DB, B, a
time = 20
buffer.time = 3

[Command]
name = "Weak Low Tiger"
command = ~D, DB, B, ~a
time = 20
buffer.time = 3

[Command]
name = "Strong Low Tiger"
command = ~D, DB, B, b
time = 20
buffer.time = 3

[Command]
name = "Strong Low Tiger"
command = ~D, DB, B, ~b
time = 20
buffer.time = 3

[Command]
name = "Weak Tiger Knee"
command = ~F, D, DF, a
time = 20
buffer.time = 3

[Command]
name = "Weak Tiger Knee"
command = ~F, D, DF, ~a
time = 20
buffer.time = 3

[Command]
name = "Strong Tiger Knee"
command = ~F, D, DF, b
time = 20
buffer.time = 3

[Command]
name = "Strong Tiger Knee"
command = ~F, D, DF, ~b
time = 20
buffer.time = 3

[Command]
name = "fwd_y"
command = /F,y

[Command]
name = "bck_y"
command = /B,y

[Command]
name = "fwd_b"
command = /F,b

[Command]
name = "bck_b"
command = /B,b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+x
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;===========================================================================
;---------------------------------------------------------------------------
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;Desesperation Attacks

;---------------------------------------------------------------------------
;Tripler Tiger Shout
[State -1, Triple Tiger Shout]
type = ChangeState
triggerall = statetype != A
triggerall = (var(55) & 4096)
triggerall = power >= 3000
trigger1 = (command = "Triple Tiger Shout")
value = 3300

;---------------------------------------------------------------------------
;Tiger Shout
[State -1, Tiger Shout]
type = ChangeState
triggerall = statetype != A
triggerall = (var(55) & 8192)
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = (command = "Low Tiger Shout")
trigger1 = var(50) := 1
trigger2 = (command = "High Tiger Shout")
trigger2 = var(50) := 2
value = 3000

;---------------------------------------------------------------------------
;Tiger Genocide
[State -1, Tiger Genocide]
type = ChangeState
triggerall = statetype != A
triggerall = (var(55) & 32768)
triggerall = power >= 1000
trigger1 = (command = "Tiger Genocide")
value = 3100

;---------------------------------------------------------------------------
;Tiger Assault
[State -1, Tiger Assault]
type = ChangeState
triggerall = statetype != A
triggerall = (var(55) & 16384)
triggerall = power >= 1000
trigger1 = (command = "Tiger Assault")
value = 3200

;===========================================================================
;---------------------------------------------------------------------------
;Special Attacks

;---------------------------------------------------------------------------
;Tiger Uppercut
[State -1, Tiger Uppercut]
type = ChangeState
triggerall = StateType != A
triggerall = (var(55) & 512)
triggerall = power >= 0 
trigger1 = (command = "Weak Tiger Uppercut")
trigger1 = (var(50) := 1)
trigger2 = (command = "Strong Tiger Uppercut")
trigger2 = (var(50) := 2)
value = 1300

;---------------------------------------------------------------------------
;Tiger Knee
[State -1, Tiger Knee]
type = ChangeState
triggerall = (var(55) & 1024)
triggerall = statetype != A
triggerall = power >= 0 
trigger1 = (command = "Weak Tiger Knee")
trigger1 = (var(50) := 1)
trigger2 = (command = "Strong Tiger Knee")
trigger2 = (var(50) := 2)
value = 1200

;---------------------------------------------------------------------------
;High Tiger
[State -1, High Tiger]
type = ChangeState
triggerall = (var(55) & 128)
triggerall = statetype != A
triggerall = numhelper(1000) = 0
triggerall = power >= 0 
trigger1 = (command = "Weak High Tiger")
trigger1 = (var(50) := 1)
trigger2 = (command = "Strong High Tiger")
trigger2 = (var(50) := 2)
value = 1000

;---------------------------------------------------------------------------
;Low Tiger
[State -1, Low Tiger]
type = ChangeState
triggerall = (var(55) & 256)
triggerall = statetype != A
triggerall = numhelper(1100) = 0
triggerall = power >= 0 
trigger1 = (command = "Weak Low Tiger")
trigger1 = (var(50) := 1)
trigger2 = (command = "Strong Low Tiger")
trigger2 = (var(50) := 2)
value = 1100

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;Normal Attacks

;---------------------------------------------------------------------------
;Shoulder Slam Start
[State -1, Shoulder Slam]
type = ChangeState
triggerall = statetype = S
triggerall = P2BodyDist X < 15
triggerall = Stateno != 100
triggerall = ctrl
trigger1 = (command = "fwd_y")
trigger1 = (var(50) := 1)
trigger2 = (command = "bck_y")
trigger2 = (var(50) := 2)
value = 800


;---------------------------------------------------------------------------
;Stand/Crouch Light Punch
[State -1, Stand Light Punch]
type = ChangeState
triggerall = statetype != A
trigger1 = (var(55) & 1)
trigger1 = (command = "x")
value = 200 + (200 * Command = "holddown")

;---------------------------------------------------------------------------
;Stand/Crouch Strong Punch
[State -1, Stand/Crouch Strong Punch]
type = ChangeState
triggerall = statetype != A
trigger1 = (var(55) & 8)
trigger1 = (command = "y")
value = 220 + (200 * Command = "holddown")

;---------------------------------------------------------------------------
;Stand/Crouch Light Kick
[State -1, Stand/Crouch Light Kick]
type = ChangeState
triggerall = statetype != A
trigger1 = (var(55) & 2)
trigger1 = (command = "a")
value = 210 + (200 * Command = "holddown")

;---------------------------------------------------------------------------
;Stand/Crouch Strong Kick
[State -1, Stand/Crouch Strong Punch]
type = ChangeState
triggerall = statetype != A
trigger1 = (var(55) & 16)
trigger1 = (command = "b")
value = 230 + (200 * Command = "holddown")

;---------------------------------------------------------------------------
;Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Weak Punch
[State -1, Jump Weak Punch]
type = ChangeState
trigger1 = (var(55) & 32)
trigger1 = (command = "x")
value = 600

;---------------------------------------------------------------------------
;Jump Weak Kick
[State -1, Jump Weak Kick]
type = ChangeState
trigger1 = (var(55) & 32)
trigger1 = (command = "a")
value = 610

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
trigger1 = (var(55) & 64)
trigger1 = (command = "y")
value = 620

;---------------------------------------------------------------------------
;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
trigger1 = (var(55) & 64)
trigger1 = (command = "b")
value = 630
