;--------------------------------------------------------------------------
;Keys (Change to keyboard config or joy config)
[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "hold_x"
command = /x

[Command]
name = "hold_y"
command = /y

;-| Super Motions |--------------------------------------------------------
[Command]
name = "Double Sommersault"
command = ~D, DF, F, D, DF, F, b+y;~30DB, DF, DB, UF,b+y
time = 120
buffer.time = 5

[Command]
name = "Weak Sonic Kick"
command = ~30$B, F, B, F, a
time = 60
buffer.time = 5

[Command]
name = "Strong Sonic Kick"
command = ~30$B, F, B, F, b
time = 60
buffer.time = 5

[Command]
name = "Weak Sonic Kick"
command = ~30$B, F, B, F, ~a
time = 60
buffer.time = 5

[Command]
name = "Strong Sonic Kick"
command = ~30$B, F, B, F, ~b
time = 60
buffer.time = 5

[Command]
name = "Weak Sonic Carnival"
command = ~30$B, F, B, F, x
time = 60
buffer.time = 5

[Command]
name = "Strong Sonic Carnival"
command = ~30$B, F, B, F, y
time = 60
buffer.time = 5

[Command]
name = "Weak Sonic Carnival"
command = ~30$B, F, B, F, ~x
time = 60
buffer.time = 5

[Command]
name = "Strong Sonic Carnival"
command = ~30$B, F, B, F, ~y
time = 60
buffer.time = 5

[Command]
name = "Sonic Dance"
command = ~D, DF, F, D, DF, F, x
time = 60
buffer.time = 5

[Command]
name = "Sonic Dance"
command = ~D, F, D, F, x
time = 60
buffer.time = 5

[Command]
name = "Sonic Dance"
command = ~D, DF, F, D, DF, F, y
time = 60
buffer.time = 5

[Command]
name = "Sonic Dance"
command = ~D, F, D, F, y
time = 60
buffer.time = 5

;-| Special Motions |------------------------------------------------------
[Command]
name = "Weak Sonic Boom"
command = ~30$B, F, x
time = 60
buffer.time = 5

[Command]
name = "Strong Sonic Boom"
command = ~30$B, F, y
time = 60
buffer.time = 5

[Command]
name = "Weak Flash Kick"
command = ~30$D, U, a
time = 60
buffer.time = 5

[Command]
name = "Strong Flash Kick"
command = ~30$D, U, b
time = 60
buffer.time = 5

[Command]
name = "Weak Sonic Shipuu"
command = ~30$B, F, a
time = 60
buffer.time = 5

[Command]
name = "Strong Sonic Shipuu"
command = ~30$B, F, b
time = 60
buffer.time = 5

[Command]
name = "Weak Sonic Boom"
command = ~45$B, F, ~x
time = 60
buffer.time = 5

[Command]
name = "Strong Sonic Boom"
command = ~45$B, F, ~y
time = 60
buffer.time = 5

[Command]
name = "Weak Flash Kick"
command = ~30$D, U, ~a
time = 60
buffer.time = 5

[Command]
name = "Strong Flash Kick"
command = ~30$D, U, ~b
time = 60
buffer.time = 5

[Command]
name = "Weak Sonic Shipuu"
command = ~30$B, F, ~a
time = 60
buffer.time = 5

[Command]
name = "Strong Sonic Shipuu"
command = ~30$B, F, ~b
time = 60
buffer.time = 5

[Command]
name = "fwd_y"
command = /F,y

[Command]
name = "bck_y"
command = /B,y

[Command]
name = "fwd_b"
command = /F,b

[Command]
name = "bck_b"
command = /B,b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+x
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;===========================================================================
;---------------------------------------------------------------------------
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;Desesperation Attacks

;---------------------------------------------------------------------------
;Double Sommersault
[State -1, Double Sommersault]
type = ChangeState
triggerall = statetype != A
triggerall = (var(55) & 4096)
;triggerall = var(39) = 0
;triggerall = life <= floor(LifeMax / 2.0 + 0.5)
triggerall = power >= 3000
trigger1 = (command = "Double Sommersault")
value = 3300

;---------------------------------------------------------------------------
;Sonic Carnival
[State -1, Sonic Carnival]
type = ChangeState
triggerall = statetype != A
triggerall = (var(55) & 8192)
triggerall = power >= 1000
triggerall = numhelper(3000) = 0
trigger1 = (command = "Weak Sonic Carnival")
trigger1 = var(50) := 1
trigger2 = (command = "Strong Sonic Carnival")
trigger2 = var(50) := 2
value = 3000

;---------------------------------------------------------------------------
;Sonic Kick
[State -1, Sonic Kick]
type = ChangeState
triggerall = statetype != A
triggerall = (var(55) & 32768)
triggerall = power >= 1000
trigger1 = (command = "Weak Sonic Kick")
trigger1 = var(50) := 1
trigger2 = (command = "Strong Sonic Kick")
trigger2 = var(50) := 2
value = 3200

;---------------------------------------------------------------------------
;Sonic Dance
[State -1, Sonic Dance]
type = ChangeState
triggerall = statetype != A
triggerall = (var(55) & 16384)
triggerall = power >= 1000
trigger1 = (command = "Sonic Dance")
value = 3100

;===========================================================================
;---------------------------------------------------------------------------
;Special Attacks

;---------------------------------------------------------------------------
;Flash Kick
[State -1, Shoryuken]
type = ChangeState
triggerall = StateType != A
triggerall = (var(55) & 256)
triggerall = power >= 0
trigger1 = (command = "Weak Flash Kick")
trigger1 = (var(50) := 1)
trigger2 = (command = "Strong Flash Kick")
trigger2 = (var(50) := 2)
value = 1100

;---------------------------------------------------------------------------
;Sonic Boom
[State -1, Hadouken]
type = ChangeState
triggerall = (var(55) & 128)
triggerall = statetype != A
triggerall = numhelper(1000) = 0
triggerall = power >= 0
trigger1 = (command = "Weak Sonic Boom")
trigger1 = (var(50) := 1)
trigger2 = (command = "Strong Sonic Boom")
trigger2 = (var(50) := 2)
value = 1000

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;Normal Attacks

;---------------------------------------------------------------------------
;Back Breaker Start
[State -1, Shoulder Slam]
type = ChangeState
triggerall = statetype = S
triggerall = P2BodyDist X < 15
triggerall = Stateno != 100
triggerall = ctrl
trigger1 = (command = "fwd_y")
trigger1 = (var(50) := 1)
trigger2 = (command = "bck_y")
trigger2 = (var(50) := 2)
value = 800

;---------------------------------------------------------------------------
;Aerial Back Breaker Start
[State -1, Shoulder Slam]
type = ChangeState
triggerall = statetype = A
triggerall = P2BodyDist X < 15
triggerall = P2StateType = A
triggerall = ctrl
trigger1 = (command = "fwd_b")
trigger2 = (command = "bck_b")
value = 810

;---------------------------------------------------------------------------
;Near Stand Weak Punch
[State -1, Near Stand Weak Punch]
type = ChangeState
trigger1 = statetype = S
trigger1 = (command != "holddown")
trigger1 = (var(55) & 1)
trigger1 = (command = "x")
trigger1 = P2BodyDist X < 9
value = 205

;---------------------------------------------------------------------------
;Stand/Crouch Light Punch
[State -1, Stand Light Punch]
type = ChangeState
triggerall = statetype != A
trigger1 = (var(55) & 1)
trigger1 = (command = "x")
value = 200 + (200 * Command = "holddown")

;---------------------------------------------------------------------------
;Near Stand Strong Punch
[State -1, Near Stand Strong Punch]
type = ChangeState
trigger1 = statetype = S
trigger1 = (command != "holddown")
trigger1 = (var(55) & 8)
trigger1 = (command = "y")
trigger1 = P2BodyDist X < 9
value = 225

;---------------------------------------------------------------------------
;Stand/Crouch Strong Punch
[State -1, Stand/Crouch Strong Punch]
type = ChangeState
triggerall = statetype != A
trigger1 = (var(55) & 8)
trigger1 = (command = "y")
value = 220 + (200 * Command = "holddown")

;---------------------------------------------------------------------------
;Stand/Crouch Light Kick
[State -1, Stand/Crouch Light Kick]
type = ChangeState
triggerall = statetype != A
trigger1 = (var(55) & 2)
trigger1 = (command = "a")
value = 210 + (200 * Command = "holddown")

;---------------------------------------------------------------------------
;Near Stand Strong Kick
[State -1, Near Stand Strong Kick]
type = ChangeState
trigger1 = statetype = S
trigger1 = (command != "holddown")
trigger1 = (var(55) & 16)
trigger1 = (command = "b")
trigger1 = P2BodyDist X < 9
value = 235

;---------------------------------------------------------------------------
;Stand/Crouch Strong Kick
[State -1, Stand/Crouch Strong Punch]
type = ChangeState
triggerall = statetype != A
trigger1 = (var(55) & 16)
trigger1 = (command = "b")
value = 230 + (200 * Command = "holddown")

;---------------------------------------------------------------------------
;Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Weak Punch
[State -1, Jump Weak Punch]
type = ChangeState
trigger1 = (var(55) & 32)
trigger1 = (command = "x")
value = 600

;---------------------------------------------------------------------------
;Jump Weak Kick
[State -1, Jump Weak Kick]
type = ChangeState
trigger1 = (var(55) & 32)
trigger1 = (command = "a")
value = 610

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
trigger1 = (var(55) & 64)
trigger1 = (command = "y")
value = 620

;---------------------------------------------------------------------------
;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
trigger1 = (var(55) & 64)
trigger1 = (command = "b")
value = 630
